name: "Integration Test"
on:
  push:
jobs:
  flake-check:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - name: Install dependencies for Nix setup action
      run: |
        apt update -y
        apt install sudo -y                
    - uses: cachix/install-nix-action@v30
    - run: nix flake check --no-update-lock-file --accept-flake-config .
